%global libunwind_srcdir libunwind-%{version}%{?rc_ver:rc%{rc_ver}}.src

Name:		llvm-libunwind
Version:	12.0.0%{?rc_ver:~rc%{rc_ver}}
Release:	1%{?dist}
Summary:	LLVM libunwind

License:	NCSA or MIT
URL:		http://llvm.org
Source0:    https://github.com/llvm/llvm-project/releases/download/llvmorg-%{version}%{?rc_ver:-rc%{rc_ver}}/%{libunwind_srcdir}.tar.xz
Source1:	https://github.com/llvm/llvm-project/releases/download/llvmorg-%{version}%{?rc_ver:-rc%{rc_ver}}/%{libunwind_srcdir}.tar.xz.sig
Source2:	tstellar-gpg-key.asc

Patch0:		standalone.patch

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	ninja-build
BuildRequires:	llvm-devel

# For gpg source verification
BuildRequires:	gnupg2

%description

LLVM libunwind is an implementation of the interface defined by the HP libunwind
project. It was contributed Apple as a way to enable clang++ to port to
platforms that do not have a system unwinder. It is intended to be a small and
fast implementation of the ABI, leaving off some features of HP's libunwind
that never materialized (e.g. remote unwinding).

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n %{libunwind_srcdir} -p2

%build
%cmake  -GNinja \
%if 0%{?__isa_bits} == 64
	-DLLVM_LIBDIR_SUFFIX=64 \
%else
	-DLLVM_LIBDIR_SUFFIX= \
%endif
    -DLLVM_CMAKE_PATH=%{_libdir}/cmake/llvm \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

%cmake_build

%install

%cmake_install

%check

%cmake_build --target check-unwind

%files
%license LICENSE.TXT

%changelog
